Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## es.inteco.xbrl.lenlocpenloc.errors.exceptions
Class ValidatorException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              es.inteco.xbrl.lenlocpenloc.errors.exceptions.XBRLENLOCException
                  es.inteco.xbrl.lenlocpenloc.errors.exceptions.ValidatorException

All Implemented Interfaces:
  java.io.Serializable

Direct Known Subclasses:
  XBRLValidatorException, XSDValidatorException

    public class ValidatorException

extends XBRLENLOCException

Clase base utilizada para notificar los errores de validación.
Proyecto: API XBRL-LENLOCPENLOC2010 - Grupo de utilidades y librerías en código abierto para facilitar la integración del formato XBRL en las herramientas software de gestión de terceros aislándose de la complejidad en el procesamiento del modelo de datos de las taxonomías. Ayudando de esta forma a las entidades locales en la labor de realización de informes XBRL y asegurar el éxito en el reporte de presupuestos y liquidación de presupuestos de las entidades locales en formato XBRL

Version:
  1.0, 24/06/2009
Author:
  difusioncalidad@inteco.es
See Also:
  Serialized Form

Field Summary

Fields inherited from class es.inteco.xbrl.lenlocpenloc.errors.exceptions.XBRLENLOCException
`canNotResolveSchemaRef, errorContextWithoutDimensionContainer, errorContextWithoutScenario, errorCreatingTempFile, errorGettingFile, errorGettingNS, errorGettingReportID, errorGettingSchema, errorInicializingProcessor, errorInXSLTTransformation, errorNormalizeSchema, errorParamsTransformation, errorResolvingConfigPaths, errorSavingFileToByteArray, errorTryingViewInstance, errorTryingViewInstanceExternal, errorTryingViewInstanceResultFile, genericErrorValidatingInstance, notExistTempDirectory`

Constructor Summary
`ValidatorException(java.lang.String message, GenericErrorsHandler errorsHandler)` Crea una excepción con un identificador, el cual corresponderá a una de las constantes definidas.
`ValidatorException(java.lang.String messageIn, GenericErrorsHandler errorsHandler, java.lang.Throwable cause)` Crea una excepción con un identificador, el cual corresponderá a una de las constantes definidas.
`ValidatorException(java.lang.String messageIn, java.lang.String[] parameters)` Crea una excepción sin indicar la causa de la excepción.
`ValidatorException(java.lang.String messageIn, java.lang.String[] parameters, GenericErrorsHandler errorsHandler)` Crea una excepción con un identificador, el cual corresponderá a una de las constantes definidas, con los parámetros necesarios para completar el mensaje de error.
`ValidatorException(java.lang.String messageIn, java.lang.String[] parameters, java.lang.Throwable cause)` Crea una excepción con un identificador, el cual corresponderá a una de las constantes definidas, con los parámetros necesarios para completar el mensaje de error.
`ValidatorException(java.lang.String message, java.lang.Throwable cause)` Crea una excepción con un identificador, el cual corresponderá a una de las constantes definidas.

Method Summary

Methods inherited from class es.inteco.xbrl.lenlocpenloc.errors.exceptions.XBRLENLOCException
`getCodeError, getErrorsHandler, getMessage, setCodeError, setErrorsHandler`

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getLocalizedMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### ValidatorException

    public ValidatorException(java.lang.String message,
                              java.lang.Throwable cause)

  Crea una excepción con un identificador, el cual corresponderá a una de las constantes definidas.

  Parameters:
    `message` - constante correspondiente al mensaje
    `cause` - mensaje de la excepción original

### ValidatorException

    public ValidatorException(java.lang.String messageIn,
                              java.lang.String[] parameters,
                              java.lang.Throwable cause)

  Crea una excepción con un identificador, el cual corresponderá a una de las constantes definidas, con los parámetros necesarios para completar el mensaje de error.

  Parameters:
    `messageIn` - constante correspondiente al mensaje
    `parameters` - parámetros para completar el mensaje
    `cause` - mensaje de la excepción original

### ValidatorException

    public ValidatorException(java.lang.String messageIn,
                              java.lang.String[] parameters)

  Crea una excepción sin indicar la causa de la excepción.

  Parameters:
    `messageIn` - constante correspondiente al mensaje de error
    `parameters` - parámetros para completar el mensaje de error

### ValidatorException

    public ValidatorException(java.lang.String messageIn,
                              GenericErrorsHandler errorsHandler,
                              java.lang.Throwable cause)

  Crea una excepción con un identificador, el cual corresponderá a una de las constantes definidas.

  Parameters:
    `messageIn` - constante correspondiente al mensaje.
    `errorsHandler` - contiene los errores propagados hasta llegar a esta excepción.
    `cause` - mensaje de la excepción original.

### ValidatorException

    public ValidatorException(java.lang.String messageIn,
                              java.lang.String[] parameters,
                              GenericErrorsHandler errorsHandler)

  Crea una excepción con un identificador, el cual corresponderá a una de las constantes definidas, con los parámetros necesarios para completar el mensaje de error.

  Parameters:
    `messageIn` - constante correspondiente al mensaje.
    `parameters` - parámetros para completar el mensaje
    `errorsHandler` - contiene los errores propagados hasta llegar a esta excepción.

### ValidatorException

    public ValidatorException(java.lang.String message,
                              GenericErrorsHandler errorsHandler)

  Crea una excepción con un identificador, el cual corresponderá a una de las constantes definidas.

  Parameters:
    `message` - constante correspondiente al código del mensaje
    `errorsHandler` - contiene los errores propagados hasta llegar a esta excepción.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD